<!DOCTYPE html>
<html lang="en">
<head>
    {% include "head.html" %}
    {% block head %}{% endblock %}
</head>
<body>
    <div class="wrapper">
        {#- NOTE: data-color values: orange, blue, green, orange, red, yellow -#}
        <div class="sidebar" data-color="red">
            <div class="logo">
                <a href="{{ url_for('default.default') }}" class="simple-text logo-mini">{{ (request.appserver_name|normalize|title)[0] }}</a>
                <a href="{{ url_for('default.default') }}" class="simple-text logo-normal">{{ request.appserver_name|normalize|title }}</a>
            </div>
            <div class="sidebar-wrapper">
                <ul class="nav">
                    {% if request.mod == 'data_setup' %}
                        {% include "menus/side.data_setup.html" %}
                    {% elif request.mod in ['users', 'acls'] %}
                        {% include "menus/side.user_management.html" %}
                    {% else %}
                        {% include "menus/side.default.html" %}
                    {% endif %}
                </ul>
            </div>
        </div>
        <div class="main-panel">
            <nav class="navbar navbar-expand-lg navbar-absolute navbar-transparent fixed-top" data-default-bg="navbar-transparent">
                <div class="container-fluid">
                    <div class="navbar-wrapper">
                        <div class="navbar-toggle">
                            <button type="button" class="navbar-toggler">
                                <span class="navbar-toggler-bar bar1"></span>
                                <span class="navbar-toggler-bar bar2"></span>
                                <span class="navbar-toggler-bar bar3"></span>
                            </button>
                        </div>
                        {#
                        <a class="navbar-brand" href="{{ url_for('default.default') }}">{{ request.mod|normalize|title }}</a>
                        #}
                    </div>
                    <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#top-nav" aria-controls="top-nav" aria-expanded="false" aria-label="Toggle Top Navbar">
                        <span class="navbar-toggler-bar navbar-kebab"></span>
                        <span class="navbar-toggler-bar navbar-kebab"></span>
                        <span class="navbar-toggler-bar navbar-kebab"></span>
                    </button>
                    <div id="top-nav" class="collapse navbar-collapse justify-content-end">
                        {#
                        <form>
                            <div class="input-group no-border pr-2">
                                <input type="search" name="search" class="form-control" placeholder="Search" />
                                <div class="input-group-append">
                                    <div class="input-group-text">
                                        <i class="fa fa-search"></i>
                                    </div>
                                </div>
                            </div>
                        </form>
                        #}
                        <ul class="navbar-nav text-center">
                            {% include "menus/top-dashboard.html" %}
                        </ul>
                    </div>
                </div>
            </nav>
            <div class="panel-header panel-header-{% if request.mod in ['dashboard'] %}sm{% else %}sm{% endif %}">
                {% block content_header %}{% endblock %}
            </div>
            <div class="content">
                {% block content_main %}{% endblock %}
            </div>
            <footer class="footer">
                <div class="container-fluid">
                    <nav>
                        <ul>
                            {% include "menus/footer.html" %}
                        </ul>
                    </nav>
                    <div class="copyright">
                        &copy; {{ request.appserver_name|normalize|title }} 2019
                    </div>
                </div>
            </footer>
        </div>
    </div>
    {% include "scripts.html" %}
    {% block scripts %}{% endblock %}
</body>
</html>
